QGIS Application - Bug report #16188
osgeob4/processing: bag magic number in yaml
2017-02-13 11:46 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Windows Package

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24098
Description

Just installed current dev version (bb2a6c8) on Windows here (next to 2.14) which fails to start processing because of
ImportError: bad magic number in 'yaml': b"\\x03\\xf3\
\

see screendump

FYI: this is 64bit Windows Server 2008 R2 Enterprise install

History

#1 - 2017-02-14 12:16 PM - Nyall Dawson
- Category changed from Processing/Core to Windows Package
- Assignee changed from Victor Olaya to Jlirgen Fischer

Reassigning to Jlirgen- this seems an error in the yaml package itself, not in processing.

#2 - 2017-02-14 03:17 PM - Juirgen Fischer

Not reproducable here. Apparently it's a stale pyc. Is python3-pyyaml installed? qgis-dev depends on it.

#3 - 2017-02-14 03:17 PM - Jiirgen Fischer

- Status changed from Open to Feedback

#4 - 2017-02-14 05:16 PM - Nyall Dawson

Ok - confirmed. Removing all .pyc files from the osgeo4w folder and restarting fixed this for me.

#5 - 2017-02-14 10:59 PM - Richard Duivenvoorde

Thanks for looking into it. I cannot confirm untill next week when I'm working on that machine again.

So this is a left over from a ggis.2x run in the same folder?
Could be because | installed from an excisting osgeo4w install/folder.

What I'm curious now for is if this could also happen when you install both 2.x and 3/2.99 in same osgeo4w64 folder and first run 2.x (generating .pyc files)
and then try to run 3 (picking up those files?)...

Feel free to close it, | will open it when it does not fix my problem.

#6 - 2017-02-15 08:03 AM - Jiirgen Fischer

Richard Duivenvoorde wrote:

So this is a left over from a qgis.2x run in the same folder?

The python3 and python2 installs are different directories. Interesting would be which file it actually is.

What I'm curious now for is if this could also happen when you install both 2.x and 3/2.99 in same osgeo4w64 folder

That should work.

#7 - 2017-02-23 12:08 AM - Jér6me Guélat

| had the same problem... Deleting C:\\OSGeo4W64\\apps\\qgis-dev\\python\\yaml\\__init__.pyc seemed to help...

Is it safe to remove it?

#8 - 2017-02-23 12:46 AM - Jiirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Jéréme Guélat wrote:

I had the same problem... Deleting C:\\OSGeo4W64\\apps\\qgis-dev\\python\lyaml\\__init __.pyc seemed to help...

Is it safe to remove it?

Yes - that's from an previous python2 based qgis-dev. Fixed in commit:702d4cc1.

#9 - 2017-02-23 02:03 AM - Richard Duivenvoorde

Yep, confirmed here too. Removed all *.pyc files and works!
